Index: buddylist.c
===================================================================
--- buddylist.c	(revision 80b5c4237f2da417f9d72b9e85e374e16859710a)
+++ buddylist.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -131,5 +131,5 @@
 void owl_buddylist_clear(owl_buddylist *bl)
 {
-  owl_list_free_all(&(bl->buddies), (void (*)(void *))owl_buddy_delete);
+  owl_list_cleanup(&(bl->buddies), (void (*)(void *))owl_buddy_delete);
   owl_list_create(&(bl->buddies));
 }
@@ -137,4 +137,4 @@
 void owl_buddylist_free(owl_buddylist *bl)
 {
-  owl_list_free_all(&(bl->buddies), (void (*)(void *))owl_buddy_delete);
+  owl_list_cleanup(&(bl->buddies), (void (*)(void *))owl_buddy_delete);
 }
Index: cmd.c
===================================================================
--- cmd.c	(revision 40d22cf8250536a5f5157171635f6a024517d199)
+++ cmd.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -43,5 +43,5 @@
 
 void owl_cmddict_namelist_free(owl_list *l) {
-  owl_list_free_all(l, owl_free);
+  owl_list_cleanup(l, owl_free);
 }
 
Index: functions.c
===================================================================
--- functions.c	(revision 7ab002056c02da75cdef131488af6c2d7b3a3625)
+++ functions.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -88,5 +88,5 @@
   owl_fmtext_append_normal(&fm, "\n");
   owl_function_popless_fmtext(&fm);
-  owl_list_free_all(&l, owl_free);
+  owl_list_cleanup(&l, owl_free);
   owl_fmtext_cleanup(&fm);
 }
@@ -3082,5 +3082,5 @@
         }
       }
-      owl_list_free_all(&anyone, owl_free);
+      owl_list_cleanup(&anyone, owl_free);
     }
   }
@@ -3459,5 +3459,5 @@
   }
 
-  owl_list_free_all(&anyone, owl_free);
+  owl_list_cleanup(&anyone, owl_free);
 #endif
 }
Index: keymap.c
===================================================================
--- keymap.c	(revision 36486be17f6eb6298a9c9b05929fe1b6f31e065b)
+++ keymap.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -21,5 +21,5 @@
   owl_free(km->name);
   owl_free(km->desc);
-  owl_list_free_all(&km->bindings, (void(*)(void*))owl_keybinding_free_all);
+  owl_list_cleanup(&km->bindings, (void (*)(void *))owl_keybinding_free_all);
 }
 
@@ -175,5 +175,5 @@
 void owl_keyhandler_keymap_namelist_free(owl_list *l)
 {
-  owl_list_free_all(l, owl_free);
+  owl_list_cleanup(l, owl_free);
 }
 
Index: list.c
===================================================================
--- list.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
+++ list.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -77,5 +77,5 @@
 }
 
-void owl_list_free_all(owl_list *l, void (*elefree)(void *))
+void owl_list_cleanup(owl_list *l, void (*elefree)(void *))
 {
   int i;
Index: perlconfig.c
===================================================================
--- perlconfig.c	(revision 901b9311d60876dabd9b3787c0d53cd68fcb77d3)
+++ perlconfig.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -69,5 +69,5 @@
     (void)hv_store(ret, key, strlen(key), to_sv(element), 0);
   }
-  owl_list_free_all(&l, owl_free);
+  owl_list_cleanup(&l, owl_free);
 
   return ret;
Index: perlglue.xs
===================================================================
--- perlglue.xs	(revision 7ab002056c02da75cdef131488af6c2d7b3a3625)
+++ perlglue.xs	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -333,5 +333,5 @@
 		RETVAL = owl_new_av(&fl, (SV*(*)(const void*))owl_new_sv);
 		sv_2mortal((SV*)RETVAL);
-		owl_list_free_all(&fl, owl_free);
+		owl_list_cleanup(&fl, owl_free);
 	}
 	OUTPUT:
@@ -352,5 +352,5 @@
 		RETVAL
 	CLEANUP:
-		owl_list_free_all(&l, owl_free);
+		owl_list_cleanup(&l, owl_free);
 
 
@@ -369,5 +369,5 @@
 		RETVAL
 	CLEANUP:
-		owl_list_free_all(&l, owl_free);
+		owl_list_cleanup(&l, owl_free);
 
 
@@ -388,5 +388,5 @@
 		RETVAL
 	CLEANUP:
-		owl_list_free_all(&l, owl_free);
+		owl_list_cleanup(&l, owl_free);
 
 void
Index: tester.c
===================================================================
--- tester.c	(revision 0fef6ebfefcf077cc527d46949f622c0585d9028)
+++ tester.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -135,5 +135,5 @@
   FAIL_UNLESS("get_keys result val",0==strcmp("c",owl_list_get_element(&l,2)));
 
-  owl_list_free_all(&l, owl_free);
+  owl_list_cleanup(&l, owl_free);
   owl_dict_free_all(&d, NULL);
 
Index: variable.c
===================================================================
--- variable.c	(revision 0fef6ebfefcf077cc527d46949f622c0585d9028)
+++ variable.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -621,5 +621,5 @@
 
 void owl_variable_dict_namelist_free(owl_list *l) {
-  owl_list_free_all(l, owl_free);
+  owl_list_cleanup(l, owl_free);
 }
 
Index: zwrite.c
===================================================================
--- zwrite.c	(revision 40d22cf8250536a5f5157171635f6a024517d199)
+++ zwrite.c	(revision 8c591789302e72f4d45fab6b792bfd08bfed194a)
@@ -352,5 +352,5 @@
 void owl_zwrite_free(owl_zwrite *z)
 {
-  owl_list_free_all(&(z->recips), &owl_free);
+  owl_list_cleanup(&(z->recips), &owl_free);
   if (z->zwriteline) owl_free(z->zwriteline);
   if (z->class) owl_free(z->class);
